﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

/// <summary>
/// Template for adding tutorials into the project
/// </summary>
[System.Serializable]
public class TutorialManager : MonoBehaviour
{
    [SerializeField]
    GameObject tutorialButton;

    /// <summary>
    /// Displays the button containing the tutorial
    /// </summary>
    /// <param name="tutorialText">The text that the tutorial button is supposed to display</param>
    public void displayTutorial(string tutorialText)
    {
        tutorialButton.SetActive(true);
        tutorialButton.GetComponentInChildren<Text>().text = tutorialText;
        Time.timeScale = 0.0f;
    }

    /// <summary>
    /// Hides the tutorial when the tutorial button is pressed
    /// </summary>
    public void hideTutorial()
    {
        Time.timeScale = 1.0f;
        tutorialButton.SetActive(false);
    }
}